Bug 1011293 - admin could see the button 'Return Loan', even there is nobody was loaned to
admin could see the button 'Return Loan', even there is nobody was loaned to
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
0.14
Unspecified Unspecified
low Severity low (vote)
: 19.0
: ---
Assigned To: Dan Callaghan
tools-bugs
:
Depends On: 1014438
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 23:36 EDT by wangjing
Modified: 2018-02-05 19:41 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-25 02:18:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wangjing 2013-09-23 23:36:25 EDT
Description of problem:
admin could see the button 'Return Loan', even there is nobody was loaned to, but the account who has the permission only could see 'Update Loan'

Version-Release number of selected component (if applicable):
Version 0.14.1 beaker-devel

How reproducible:
always

Steps to Reproduce:
1. login as admin account.
2. on system page click button 'Loan Settings' when there is nobody had been loaned to.
3. check the button 'Return Loan' on the loan window.

Actual results:
admin account could see the button 'Return Loan'

Expected results:
admin account could not see the button 'Return Loan' as the account who has the permission of loaning systems.

Additional info:
Comment 4 Dan Callaghan 2014-11-25 02:18:46 EST
Beaker 19.0 has been released.

Note You need to log in before you can comment on or make changes to this bug.